﻿@using System.Web.UI.WebControls;

@using Portal.Models.Supplier;
@using Toyota.Common.Web.Credential;

@model Toyota.Common.Web.MVC.ModelHolder


           
<table cellpadding="0" cellspacing="0">
    <tr>
        <td style="width: 20px;"></td>
        <td style="width:110px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Production Month";
                }).GetHtml()            
        </td>
        <td style="width: 150px;">
           <input type="text" id='ProdMonth' name="ProdMonth" class="mtz-monthpicker-widgetcontainer" style="width:110px; font-size:small;" /> 

        </td>

        <td style="width:118px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier";
                }).GetHtml()                                    
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "FHSupplierIDOption";
                    gridLookup.Width = 130;
                    gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "KeihenFeedback", Action = "PartialHeaderSupplierLookupGrid" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ButtonClick = "FHSupplierIDOptionOkClick";


                    if (Model.GetModel<List<Portal.Models.KeihenFeedback.SupplierName>>().Count == 1)
                    {
                        gridLookup.Text = Model.GetModel<List<Portal.Models.KeihenFeedback.SupplierName>>()[0].SUPPLIER_CODE;
                        gridLookup.ClientEnabled = false;
                    }
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPPLIER_CODE";
                        column.Caption = "Supplier Code";
                        column.Width = Unit.Pixel(100);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPPLIER_NAME";
                        column.Caption = "Supplier Name";
                        column.Width = Unit.Pixel(150);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    
                }).Bind(Model.GetModel<List<Portal.Models.KeihenFeedback.SupplierName>>()).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td></td>
        <td>
           
        </td>
        <td>
             
        </td>

        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier Plant Code";
                }).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "FHSupplierPlanCodeOption";
                    gridLookup.Width = 130;
                    gridLookup.GridProperties.KeyFieldName = "SUPPLIER_PLANT_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "KeihenFeedback", Action = "PartialHeaderSupplierPlantLookupGrid" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.ClientSideEvents.BeginCallback = "OnFHSupplierPlanCodeOptionBeginCallback";
                    gridLookup.GridProperties.Columns.Add(column =>
                    {   
                        column.Name = "SUPPLIER_PLANT_CD";
                        column.FieldName = "SUPPLIER_PLANT_CD";
                        column.Caption = "Supplier<br />Plant Code";
                        column.Width = Unit.Pixel(100);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    
                }).Bind(Model.GetModel<List<Portal.Models.KeihenFeedback.SupplierPlant>>()).GetHtml()
        </td>
    </tr>    
    <tr style="height:15px"></tr> @* row spacing *@ 
    <tr>
        <td>

        </td>
        <td>
            @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "downloadResumeFeedbackButton";
                    buttonSettings.Text = "Resume Feedback";
                    //buttonSettings.Style.Add("display", "inline-table");
                    buttonSettings.Width = Unit.Pixel(130);
                    buttonSettings.ClientSideEvents.Click = "downloadResumeFeedback";

                    
                    var authorized = Model.GetModel<User>().IsAuthorized("Forecast", "TentativeUnlock");
                    if (authorized == 0)
                    {
                        buttonSettings.ClientVisible = false;
                    }
                    else {
                        buttonSettings.ClientVisible = true;
                    } 
                    
                }).GetHtml()
        </td>
        <td>
            
        </td>
        <td>
           @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "searchButton";
                        settings.Text = "Search";
                        
                        settings.Width = Unit.Pixel(130);
                        //settings.Style.Add("display", "inline-table");
                        //settings.Style.Add("height", "41px");
                        settings.ClientSideEvents.Click = "search";
                    }).GetHtml()

        </td>
        <td>
             
             @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "clearButton";
                    buttonSettings.Text = "Clear";
                    //buttonSettings.Style.Add("display", "inline-table");
                    buttonSettings.Width = Unit.Pixel(130);
                    //buttonSettings.Style.Add("height", "41px");
                    buttonSettings.ClientSideEvents.Click = "clear";
                }).GetHtml()
        </td>
    </tr>   
    <tr style="height:15px"></tr>
</table>